%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	HTML_Common2
Summary:	%{_pearname} - abstract base class for HTML classes (PHP5 port of HTML_Common package)
Summary(pl.UTF-8):	%{_pearname} - podstawowa klasa dla klas HTML (port pakietu HTML_Common dla PHP5)
Name:		php-pear-%{_pearname}
Version:	2.1.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	9d7645f629a879f646b31c6e05aea5ea
URL:		http://pear.php.net/package/HTML_Common2/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 5.0.0
Requires:	php-pear >= 3:5.0.0
Obsoletes:	php-pear-HTML_Common2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTML_Common2 package provides methods for HTML code display and
attributes handling.
- Methods to set, remove, update HTML attributes,
- Handles comments in HTML code.
- Handles global document options (encoding, linebreak and indentation
  characters),
- Handles indentation for nicer HTML code.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet HTML_Common2 zawiera metody do wyświetlania kodu HTML i obróbki
atrybutów.
- Metody do ustawiania, usuwania i aktualizacji atrybutów HTML,
- Obsługuje komentarze w kodzie HTML,
- Obsługuje opcje globalne dokumentu (kodowanie, znaki końca linii i
  wcięcia),
- Obsługuje wcięcia dla ładniejszego wyglądu kodu HTML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/*.php
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-HTML_Common2.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 3a2b9a8
- updated to: 2.1.0

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 0f615e9
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> bc228e4
- tests are no longer installed - don't try to remove them

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> a3883a8
- up to 2.0.0-stable

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> 9e4eacf
- solve:
  error: php-pear-HTML_QuickForm2-0.4.0-2: req php-pear-HTML_Common2 >= 2.0.0-0.beta1 not found
  $ rpmvercmp 2.0.0-0.beta1 2.0.0-0.RC1.1
  2.0.0-0.beta1 > 2.0.0-0.RC1.1

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> e9214a2
- up to 2.0.0RC1-beta

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> f3722e9
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c39841d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 94f781f
- converted to UTF-8

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> 4957953
- updated to 0.3.0

* Tue Jul 04 2006 Adam Gołębiowski <adamg@pld-linux.org> 3fb9b62
- updated to 0.2.0

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> f1b7122
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> fbe9929
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> cfd714e
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 18936ce
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> ff458ab
- AutoReq: no for -tests

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> d740ef5
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 04f92cd
- semi automatically added deps from pear

* Thu Sep 22 2005 Elan Ruusamäe <glen@pld-linux.org> bb808c3
- new pear packaging

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> c9a46c3
- rebuild with new PEAR provides/requires scripts
- release 2

